4 Replies Latest reply on Apr 29, 2009 1:44 PM by Oliver Henlich

    Problems building the envers-hibernate-3.3 branch

    Oliver Henlich Newbie

      Hi,

      There are two questions in this post.

      Question 1
      In February i was able to build and deploy envers with hibernate 3.3.0.SP1 by building envers from http://anonsvn.jboss.org/repos/hibernate/core/branches/envers-hibernate-3.3

      Just did an update and tried a maven compile but that now fails because it cannot find http://snapshots.jboss.org/maven2/org/hibernate/hibernate-parent/3.5.0-SNAPSHOT/hibernate-parent-3.5.0-SNAPSHOT.pom.

      Is the pom.xml dependency on hibernate-parent-3.5.0-SNAPSHOT still valid? What should it be changed to?

      Question 2
      I noticed that the last commit to the envers-hibernate-3.3 branch did some work around cglib (upgrading to cglib 2.2). I'm worried about this change because i had a lot of problems getting envers, hibernate, spring work nicely. Here is a brief summary:
      - to use envers i needed hibernate 3.3
      - hibernate 3.3 defaulted to javaassist
      - spring 2.5.6 did not like javaassist being there
      - force hibernate to use cglib, this caused the following probelm http://opensource.atlassian.com/projects/hibernate/browse/HHH-3504
      - so i was forced to use patched cglib jars from here http://opensource.atlassian.com/projects/hibernate/browse/HHH-3504?focusedCommentId=32329#action_32329

      So my question is will the latest envers branch update cause problems because of cglib? What are your suggestions for dealing with this?

      Summary of libraries
      - hibernate-core.jar (3.3.0.SP1)
      - hibernate-annotations.jar (3.4.0.GA)
      - hibernate-cglib-repack-nodep-2.1_3-SNAPSHOT.jar
      - spring.jar (2.5.6)

      Cheers
      Oliver